<?php
/*
  $Id: categories.php $
  TomatoCart Open Source Shopping Cart Solutions
  http://www.tomatocart.com
  http://www.tomatoshop.ir  Persian Tomatocart v1.1.5 / Azar 1390
  Copyright (c) 2009 Wuxi Elootec Technology Co., Ltd

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License v2 (1991)
  as published by the Free Software Foundation.
*/

  class osC_Boxes_categories extends osC_Modules {
    var $_title,
        $_code = 'categories',
        $_author_name = 'TomatoCart',
        $_author_www = 'http://www.tomatocart.com',
        $_group = 'boxes';

    function osC_Boxes_categories() {
      global $osC_Language;

      $this->_title = $osC_Language->get('box_categories_heading');
    }

    function initialize() {
      global $cPath, $osC_CategoryTree, $osC_Template;

      $osC_CategoryTree->reset();
      $osC_CategoryTree->setShowCategoryProductCount((SERVICES_CATEGORY_PATH_CALCULATE_PRODUCT_COUNT == '1') ? true : false);
      
      if (BOX_CATEGORIES_DISPLAY_DROP_DOWN_MENU == 'none') {
        $osC_CategoryTree->setCategoryPath($cPath, '<b>', '</b>');
        $osC_CategoryTree->setParentGroupString('', '');
        $osC_CategoryTree->setParentString('', '&raquo;');
        $osC_CategoryTree->setChildString('<li>', '</li>');
        $osC_CategoryTree->setSpacerString('&nbsp;', 4);
        
        $this->_content = '<ul>' . $osC_CategoryTree->buildTree() . '</ul>';
      } elseif (BOX_CATEGORIES_DISPLAY_DROP_DOWN_MENU == 'MenuMatic') {
        $osC_Template->addJavascriptFilename('ext/menumatic/MenuMatic_0.68.3.js');
        $js = '<script type="text/javascript">
          window.addEvent(\'domready\',function(){
            var myMenu = new MenuMatic({ id: "categoriesTree", effect: "' . BOX_CATEGORIES_DROP_DOWN_MENU_EFFECT . '", duration: ' . BOX_CATEGORIES_DROP_DOWN_MENU_DURATION . ', orientation:"vertical",direction:{x:"left"} });
          });
          </script>';
        
        $this->_content = $js . "\n" .  $osC_CategoryTree->buildCompleteTree();
      } elseif (BOX_CATEGORIES_DISPLAY_DROP_DOWN_MENU == 'Css') {
		  

	  $osC_Template->addStyleSheet('ext/customized-css-menu/dropdown-menu/dropdown.css');
	  $osC_Template->addStyleSheet('ext/customized-css-menu/dropdown-menu/dropdown.vertical.css');
	  $osC_Template->addStyleSheet('ext/customized-css-menu/dropdown-menu/dropdown.vertical.rtl.css');
	  $osC_Template->addStyleSheet('ext/customized-css-menu/dropdown-menu/default.css');
	  $osC_Template->addJavascriptFilename('ext/customized-css-menu/jquery/jquery-1.6.4.min.js');
        $js = '<script type="text/javascript">
	jQuery.noConflict();
	jQuery(document).ready(
		function(){
				
				
				jQuery("#new-navigation > ul:first").addClass("dropdown dropdown-vertical dropdown-vertical-rtl menuwidth");
				jQuery("#new-navigation > ul:first").attr("id","nav");
				jQuery(".dropdown-vertical li:has(ul)").addClass("dir");
				
				
				jQuery("#new-navigation ul").each(
					function(){
							jQuery(this).find("li:first").addClass("li-first");
						}
				);
				jQuery("#new-navigation ul").each(
					function(){
							jQuery(this).find("li:last").addClass("li-last");
						}
				);				
			}
	);
          </script>';
		  
		  $ie7 = '<!--[if IE 7]><link rel="stylesheet" href="ext/customized-css-menu/dropdown-menu/style.ie7.css" type="text/css" media="screen" /><![endif]-->';
		  		  
	  	$osC_CategoryTree->setParentGroupString('<ul>', '</ul></li>'); 
	    $osC_CategoryTree->setChildString('<li>', ''); 
	    $this->_content = $ie7 .  $js . '<div id="new-navigation">' .  $osC_CategoryTree->buildTree(). '<div class="clear clearFix"></div></div><div class="clear clearFix"></div>';
	  }
      
      

    }

    function install() {
      global $osC_Database;

      parent::install();

      $osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('نمایش تعداد محصولات', 'BOX_CATEGORIES_SHOW_PRODUCT_COUNT', '1', 'نمایش تعداد محصولات در هر شاخه', '6', '0', 'osc_cfg_use_get_boolean_value', 'osc_cfg_set_boolean_value(array(1, -1))', now())");
      $osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('استفاده از منوی کشویی', 'BOX_CATEGORIES_DISPLAY_DROP_DOWN_MENU', 'Css', 'نوع نمایش منو', '6', '1', 'osc_cfg_use_get_boolean_value', 'osc_cfg_set_boolean_value(array(\'MenuMatic\',\'Css\',\'none\'))', now())");
      $osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, use_function, set_function, date_added) values ('افکت منوی کشویی', 'BOX_CATEGORIES_DROP_DOWN_MENU_EFFECT', 'slide & fade', 'افکت منوی کشویی', '6', '2', 'osc_cfg_use_get_boolean_value', 'osc_cfg_set_boolean_value(array(\'fade\', \'slide\', \'slide & fade\'))', now())");
      $osC_Database->simpleQuery("insert into " . TABLE_CONFIGURATION . " (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('زمان افکت منو', 'BOX_CATEGORIES_DROP_DOWN_MENU_DURATION', '600', 'مدت زمان افکت منوی کشویی', '6', '3', now())");
    }

    function getKeys() {
      if (!isset($this->_keys)) {
        $this->_keys = array('BOX_CATEGORIES_SHOW_PRODUCT_COUNT', 'BOX_CATEGORIES_DISPLAY_DROP_DOWN_MENU', 'BOX_CATEGORIES_DROP_DOWN_MENU_EFFECT', 'BOX_CATEGORIES_DROP_DOWN_MENU_DURATION');
      }

      return $this->_keys;
    }
  }
?>